import * as React from "react";
export interface PaginationProps {
    pages: number;
    page: number;
    PageButtonComponent: any;
    onPageChange: Function;
    previousText: string;
    nextText: string;
}
export default class Pagination extends React.Component<PaginationProps, {}> {
    state: {
        visiblePages: any;
    };
    constructor(props: any);
    componentWillReceiveProps(nextProps: any): void;
    filterPages: (visiblePages: any, totalPages: any) => any;
    getVisiblePages: (page: any, total: any) => any;
    changePage(page: any): void;
    goto(e: any): void;
    render(): JSX.Element;
}
